# Microsoft.Samples.DirectX.UtilityToolkit.ArcBall Class Reference

Class holds arcball data. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.ArcBall:

[legend]

List of all members.

## Public Member Functions
| ArcBall ()
| Create new instance of the arcball class.
void | Reset ()
| Resets the arcball.
Vector3 | ScreenToVector (float screenPointX, float screenPointY)
| Convert a screen point to a vector.
void | SetWindow (int w, int h, float r)
| Set window paramters.
void | SetWindow (int w, int h)
void | OnBegin (int x, int y)
| Begin the arcball 'dragging'.
void | OnMove (int x, int y)
| The arcball is 'moving'.
void | OnEnd ()
| Done dragging the arcball.
bool | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle messages from the window.
| ArcBall ()
| Create new instance of the arcball class.
void | Reset ()
| Resets the arcball.
Vector3 | ScreenToVector (float screenPointX, float screenPointY)
| Convert a screen point to a vector.
void | SetWindow (int w, int h, float r)
| Set window paramters.
void | SetWindow (int w, int h)
void | OnBegin (int x, int y)
| Begin the arcball 'dragging'.
void | OnMove (int x, int y)
| The arcball is 'moving'.
void | OnEnd ()
| Done dragging the arcball.
bool | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle messages from the window.
| ArcBall ()
| Create new instance of the arcball class.
void | Reset ()
| Resets the arcball.
Vector3 | ScreenToVector (float screenPointX, float screenPointY)
| Convert a screen point to a vector.
void | SetWindow (int w, int h, float r)
| Set window paramters.
void | SetWindow (int w, int h)
void | OnBegin (int x, int y)
| Begin the arcball 'dragging'.
void | OnMove (int x, int y)
| The arcball is 'moving'.
void | OnEnd ()
| Done dragging the arcball.
bool | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle messages from the window.
## Static Public Member Functions
static Quaternion | QuaternionFromBallPoints (Vector3 from, Vector3 to)
| Computes a quaternion from ball points.
static Quaternion | QuaternionFromBallPoints (Vector3 from, Vector3 to)
| Computes a quaternion from ball points.
static Quaternion | QuaternionFromBallPoints (Vector3 from, Vector3 to)
| Computes a quaternion from ball points.
## Protected Attributes
Matrix | rotation
Matrix | translation
Matrix | translationDelta
int | width
int | height
Vector2 | center
float | radius
float | radiusTranslation
Quaternion | downQuat
Quaternion | nowQuat
bool | isDragging
System.Drawing.Point | lastMousePosition
Vector3 | downPt
Vector3 | currentPt
## Properties
Matrix | RotationMatrix`[get]`
| Gets the rotation matrix.
Matrix | TranslationMatrix`[get]`
| Gets the translation matrix.
Matrix | TranslationDeltaMatrix`[get]`
| Gets the translation delta matrix.
bool | IsBeingDragged`[get]`
| Gets the dragging state.
Quaternion | CurrentQuaternion`[get, set]`
| Gets or sets the current quaternion.

## Detailed Description

Class holds arcball data.

Definition at line 842 of file dxmutmisc.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.ArcBall | ( |  | ) |

Create new instance of the arcball class.

Definition at line 882 of file dxmutmisc.cs.

Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.ArcBall | ( |  | ) |

Create new instance of the arcball class.

Definition at line 882 of file dxmutmisc.cs.

Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.ArcBall | ( |  | ) |

Create new instance of the arcball class.

Definition at line 875 of file wdxmutmisc.cs.

## Member Function Documentation

bool Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle messages from the window.

Definition at line 980 of file wdxmutmisc.cs.

bool Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle messages from the window.

Definition at line 987 of file dxmutmisc.cs.

bool Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle messages from the window.

Definition at line 987 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.OnBegin | ( | int | x,
|  | int | y |
| ) |  |  |

Begin the arcball 'dragging'.

Definition at line 952 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.OnBegin | ( | int | x,
|  | int | y |
| ) |  |  |

Begin the arcball 'dragging'.

Definition at line 959 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.OnBegin | ( | int | x,
|  | int | y |
| ) |  |  |

Begin the arcball 'dragging'.

Definition at line 959 of file dxmutmisc.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.OnEnd | ( |  | ) |

Done dragging the arcball.

Definition at line 972 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.OnEnd | ( |  | ) |

Done dragging the arcball.

Definition at line 979 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.OnEnd | ( |  | ) |

Done dragging the arcball.

Definition at line 979 of file dxmutmisc.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.OnMove | ( | int | x,
|  | int | y |
| ) |  |  |

The arcball is 'moving'.

Definition at line 961 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.OnMove | ( | int | x,
|  | int | y |
| ) |  |  |

The arcball is 'moving'.

Definition at line 968 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.OnMove | ( | int | x,
|  | int | y |
| ) |  |  |

The arcball is 'moving'.

Definition at line 968 of file dxmutmisc.cs.

Here is the caller graph for this function:

static Quaternion Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.QuaternionFromBallPoints | ( | Vector3 | from,
|  | Vector3 | to |
| ) |  |  | `[static]`

Computes a quaternion from ball points.

Definition at line 942 of file wdxmutmisc.cs.

static Quaternion Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.QuaternionFromBallPoints | ( | Vector3 | from,
|  | Vector3 | to |
| ) |  |  | `[static]`

Computes a quaternion from ball points.

Definition at line 949 of file dxmutmisc.cs.

static Quaternion Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.QuaternionFromBallPoints | ( | Vector3 | from,
|  | Vector3 | to |
| ) |  |  | `[static]`

Computes a quaternion from ball points.

Definition at line 949 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.Reset | ( |  | ) |

Resets the arcball.

Definition at line 892 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.Reset | ( |  | ) |

Resets the arcball.

Definition at line 899 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.Reset | ( |  | ) |

Resets the arcball.

Definition at line 899 of file dxmutmisc.cs.

Vector3 Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.ScreenToVector | ( | float | screenPointX,
|  | float | screenPointY |
| ) |  |  |

Convert a screen point to a vector.

Definition at line 907 of file wdxmutmisc.cs.

Vector3 Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.ScreenToVector | ( | float | screenPointX,
|  | float | screenPointY |
| ) |  |  |

Convert a screen point to a vector.

Definition at line 914 of file dxmutmisc.cs.

Vector3 Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.ScreenToVector | ( | float | screenPointX,
|  | float | screenPointY |
| ) |  |  |

Convert a screen point to a vector.

Definition at line 914 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.SetWindow | ( | int | w,
|  | int | h |
| ) |  |  |

Definition at line 934 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.SetWindow | ( | int | w,
|  | int | h,
|  | float | r |
| ) |  |  |

Set window paramters.

Definition at line 929 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.SetWindow | ( | int | w,
|  | int | h |
| ) |  |  |

Definition at line 941 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.SetWindow | ( | int | w,
|  | int | h,
|  | float | r |
| ) |  |  |

Set window paramters.

Definition at line 936 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.SetWindow | ( | int | w,
|  | int | h |
| ) |  |  |

Definition at line 941 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ArcBall.SetWindow | ( | int | w,
|  | int | h,
|  | float | r |
| ) |  |  |

Set window paramters.

Definition at line 936 of file dxmutmisc.cs.

Here is the caller graph for this function:

## Member Data Documentation

Vector2 Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::center`[protected]`

Definition at line 851 of file dxmutmisc.cs.

Vector3 Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::currentPt`[protected]`

Definition at line 861 of file dxmutmisc.cs.

Vector3 Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::downPt`[protected]`

Definition at line 860 of file dxmutmisc.cs.

Quaternion Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::downQuat`[protected]`

Definition at line 855 of file dxmutmisc.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::height`[protected]`

Definition at line 850 of file dxmutmisc.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::isDragging`[protected]`

Definition at line 857 of file dxmutmisc.cs.

System Drawing Point Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::lastMousePosition`[protected]`

Definition at line 859 of file dxmutmisc.cs.

Quaternion Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::nowQuat`[protected]`

Definition at line 856 of file dxmutmisc.cs.

float Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::radius`[protected]`

Definition at line 852 of file dxmutmisc.cs.

float Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::radiusTranslation`[protected]`

Definition at line 853 of file dxmutmisc.cs.

Matrix Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::rotation`[protected]`

Definition at line 845 of file dxmutmisc.cs.

Matrix Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::translation`[protected]`

Definition at line 846 of file dxmutmisc.cs.

Matrix Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::translationDelta`[protected]`

Definition at line 847 of file dxmutmisc.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::width`[protected]`

Definition at line 849 of file dxmutmisc.cs.

## Property Documentation

Quaternion Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::CurrentQuaternion`[get, set]`

Gets or sets the current quaternion.

Definition at line 874 of file dxmutmisc.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::IsBeingDragged`[get]`

Gets the dragging state.

Definition at line 872 of file dxmutmisc.cs.

Matrix Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::RotationMatrix`[get]`

Gets the rotation matrix.

Definition at line 866 of file dxmutmisc.cs.

Matrix Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::TranslationDeltaMatrix`[get]`

Gets the translation delta matrix.

Definition at line 870 of file dxmutmisc.cs.

Matrix Microsoft::Samples::DirectX::UtilityToolkit.ArcBall::TranslationMatrix`[get]`

Gets the translation matrix.

Definition at line 868 of file dxmutmisc.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutmisc.cs